<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Document</title>
        <!--link rel="stylesheet" href="css/estilos.css"-->
        <style>
            .container{
                background: #434343;
                width: 55%;
                height: 100vh;
                padding-left: 35px;
                margin: auto;
                border-radius: 4px;
                box-shadow: 4px 4px 4px grey;
                box-sizing: border-box;
            }
            .cartita {
                width: 20%;
                height: 20vh;
                background: #000000;
                margin: 10px;
                display: inline-block;
                border: 1px solid green;
                border-radius: 4px;
                
            }

            .cartita img {
                width: 100%;   
                height: 100%;
                display: none;
                
                
            }
        </style>

    </head>
    <body>
      <div class="container">

      </div>

<script src="js/jquery-3.3.1.min.js"></script>
    <script>
        //flujo :

//añadir tarjetas aleatoriamente
    //Voltea tarjeta 1
    //Voltea tarjeta 2
        //Validar si las tarjetasson iguales
           //si lo son mostrar un alert
           //si no, resetear las tarjetas y correr flujp



var cartita1 = '';
var cartita2 = '';
var cartitas=[
   {
      nombre: 'firefox',
      imagen:'img/logo-firefox.png',
      id:'mozila-firefox',
    
   },
   {
      nombre: 'safari',
      imagen:'img/safari-logo.png',
      id:'safari',
   },
   {
      nombre: 'chrome',
      imagen:'img/logo-chrome.png',
      id:'google-chrome',
   },
    /*   {
      nombre: 'explorer',
      imagen:'img/logo-explorer.png',
      id:'internet-explorer',
   },*/

]


añadirTarjetasAleatoriamente();
añadirEventoClick();

    //obtener objeto del array "tarjetas" aleatoriamente
    //imprimir en un div
function añadirTarjetasAleatoriamente(){
   
    for(var i=0; i<16; i++){
      var numeroAleatorio= obtenerNumeroAleatorio(0, cartitas.length)
      var cartita=cartitas[numeroAleatorio]

      var div = '<div class ="cartita" id="'+ cartita.id + '">'
      div += '<img src="' + cartita.imagen + '"/>'
      div += '</div>'
      $('.container').append(div)
   }
}


// onClick. cartita -> revisar si es la tarjeta 1 o 2


function añadirEventoClick(){
   $('.cartita').click(function(){
      console.log('haz clickeado una cartita',this)

      

      //Escenarios:
      //1.- va a voltear la primera carta
      //2.- va a voltear la segunda carta

      //si la carta1 no tiene un valor
      // significa que no ha volteado inguna carta
      
      if(cartita1 ==''){
         cartita1 = this.id
         //mostrarCarita(this)
         $(this)    
           // .css('opacity','0.5') 
            .find('img')
            .css('display','table')
            .addClass('active')
            //.prop('disabled',false)
            return;
         }
       
        //si cartita 1 tiene valor y cartita 2 no tiene valor
        //significa que ya voltearon la primer cartita
        if(cartita1 !== '' && cartita2 ==''){
            cartita2 = this.id
            //mostrar cartita
            
            $(this)
               //.css('opacity','0.5') 
               .find('img') 
               .css('display','table')
               .addClass('active')

        
               if(cartita1 == cartita2){
               
                alert(' Has encontrado un par')
                
                

            }else {
               // alert(' Mala suerte')
               // $(cartita1).stop(true,true).animate({opacity: 1},1000,function(){$(this).css('background','red');});
                
				//$(cartita2).stop(true,true).animate({opacity: 1},1000,function(){$(this).css('background','red');})
                //reserear estado
               
                
                setTimeout(function(){
                   // cartita1 = cartita2 =$(this)
                    
                    $(this).css('background','black')
                    cartita1=''
                    cartita2=''
                    //$(this).css('background','black')
                    $('.active')
                        .removeClass('active')
                        .hide()
                },1500);
            }
       // }
            
       }
      
    });
   
}




function obtenerNumeroAleatorio (numeroMinimo, numeroMaximo){
    return Math.floor(Math.random() * numeroMaximo) + numeroMinimo
}

function mostrarCarita (element){
    $(element)
        .find('p')
        .css('display','table')
        .addClass('active')

}



    </script>
    </body>
</html>
